//----------------------------------------------------------------------------------------------------
//
//	LibInspector
//
//	Inherits From:		WMInspector
//
//	Declared In:		LibInspector.h
//
//	Class Description
//
//		LibInspector manages simple contents inspection of library files (.a).
//		A library's table of contents are displayed in a browser where 
//		they may be selected to be 'extracted'.  LibInspector performs
//		no destructive operations on the file (i.e. you may not remove,
//		add, relocate, or replace files).  Selected files are extracted to a
//		temporary folder (/tmp/LibExtractions).  A FileViewer is 
//		opened on this folder when the extraction is complete.  These
//		files are not 'cleaned' from this directory, user must move or
//		destroy them.
//
//	Disclaimer
//
//		You may freely copy, distribute and reuse this software and its
//		associated documentation. I disclaim any warranty of any kind, 
//		expressed or implied, as to its fitness for any particular use.
//
//----------------------------------------------------------------------------------------------------
#import <appkit/appkit.h>
#import <apps/Workspace.h>

@interface LibInspector:WMInspector
{
	id	browser;
}

//----------------------------------------------------------------------------------------------------
//  Action Methods
//----------------------------------------------------------------------------------------------------
- browserClicked: sender;


//----------------------------------------------------------------------------------------------------
//  Browser Delegate Method
//----------------------------------------------------------------------------------------------------
- (int) browser: aBrowser fillMatrix: aMatrix inColumn: (int)aColumn;


@end
